An error was encountered while running DADA2 in R (return code -7)

Hello, all:
My version is QIIME2-2021.4. Install it from conda.
Run the command: time qiime dada2 denoise-paired --i-demultiplexed-seqs paired-end-demux-Oa.qza --p-n-threads 0 --p-trim-left-f 0 --p-trim-left-r 0 --p-trunc-len-f 150 --p-trunc-len-r 150 --o-representative-sequences rep-seqs-dada2.qza --o-table table-dada2.qza --o-denoising-stats stats-dada2.qza.
And report an error message:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpo9z3vbeo/forward /tmp/tmpo9z3vbeo/reverse /tmp/tmpo9z3vbeo/output.tsv.biom /tmp/tmpo9z3vbeo/track.tsv /tmp/tmpo9z3vbeo/fi
lt_f /tmp/tmpo9z3vbeo/filt_r 150 150 0 0 2.0 2.0 2 12 independent consensus 1.0 0 1000000

R version 4.0.3 (2020-10-10)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.6 / RcppParallel: 5.1.2

  1. Filtering …
  2. Learning Error Rates
    1647284700 total bases in 10981898 reads from 1 samples will be used for learning the error rates.
    Traceback (most recent call last):
    File “/public/home/wxhan/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py”, line 266, in denoise_paired
    run_commands([cmd])
    File “/public/home/wxhan/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/public/home/wxhan/anaconda3/envs/qiime2-2021.4/lib/python3.8/subprocess.py”, line 516, in run
    raise CalledProcessError(retcode, process.args,
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpo9z3vbeo/forward’, ‘/tmp/tmpo9z3vbeo/reverse’, ‘/tmp/tmpo9z3vbeo/output.tsv.biom’, ‘/tmp/tmpo9z3vbeo/track.tsv’, ‘/tmp/tmpo9z3vbeo/filt_f’, ‘/tmp/tmpo9z3vbeo/filt_r’, ‘150’, ‘150’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘12’, ‘independent’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ died with <Signals.SIGBUS: 7>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/public/home/wxhan/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/public/home/wxhan/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py”, line 244, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File “/public/home/wxhan/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/public/home/wxhan/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
raise Exception(“An error was encountered while running DADA2”
Exception: An error was encountered while running DADA2 in R (return code -7), please inspect stdout and stderr to learn more.

Error message is described above. What should I do to resolve this error?

Hi @wx-han, and welcome to the forum! :wave:

Firstly, can you give some more details about what sort of environment you are running this command in? Are you using a shared, HPC environment? If so, a great place to start would be to increase the memory (RAM) available for this job and see if that solves your problem. If you are running this on your personal computer, how much RAM do you have available? On Linux, you can check this with cat /proc/meminfo | grep Mem. On Mac, system_profiler SPHardwareDataType.

Hi, thanks for responding!
Yes, I am using the HPC cluster environment in the school lab.I checked it according to the command( cat /proc/meminfo | grep Mem) you gave me, The results are shown below. May I ask what I should do in the future?

MemTotal: 131833384 kB
MemFree: 71198900 kB
MemAvailable: 109144240 kB

In addition, I have to input that there are three sets of data in the qza file, and the error message above only shows one sample. What’s wrong with that?
Looking forward to your reply!

When you submit a job to your HPC, you usually need to specify details about what sort of resources you are requesting. I would recommend requesting more memory. If your HPC uses SLURM, this article provides a good overview about how to request more memory:

I’m not sure about that. Let’s see if we can address the other issue first and then figure out what’s going on with this question.

Due to the May Day holiday, I have delayed my reply to you. In interactive mode, the administrator sets the thread of the interactive task. If it doesn’t get all the threads, Rcpp parallel gets killed. This is what I think caused the previous report error. My HPC uses LSF. When I submit the LSF job, Rcpp parallel should be able to call all threads, because the task is always running. But now the problem is that he has been running for more than 20 days with no results. This situation should be abnormal, so I wonder what the problem is?
My data is whole genome sequencing data, can I use Qiime2 to analyze it? QIIME2 is often used for 16S sequence analysis, so is it because of the data type that DADA2 keeps running with no results? Thanks!

Hi @wx-han ,

Thanks for the update! Finding the sweet spot with thread allocation can be a bit tricky since each additional thread increases the base memory usage as well. I would recommend trying again with, say, half as many threads. Let us know how that goes!

Sorry, @wx-han , I forgot to address your other question.

QIIME 2 does have some options for shotgun analysis. However, dada2 is strictly intended for amplicon sequences.